@import "./src/Landing/Landinn";
@import "./src/components/Wrapper/index";

.cart {
  width: 800px;
  position: relative;
  margin: auto;
  padding: 2em;
  @include max-width-paddings;
  min-width: 480px;
  color: $text-color;
  text-align: center;
  border: 1px solid $main-color-gold;
  background-color: $background;

  &__wrapper {
  }

  &__button {
    font-size: 16px !important;
  }

  &__cross {
    background-color: $main-color-gold;
    border-radius: 50%;
    cursor: pointer;
  }

  &__confirm {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 80%;
    height: 80%;
    background-color: $background;
    z-index: 1000;
    display: flex;
    justify-content: center;
    align-content: center;
    gap: 30px;
    flex-wrap: wrap;
    font-size: 1.3em;
    animation: fade .5s;
    border: 1px solid $main-color-gold;
    overflow: hidden;
    border-radius: 30px;

    &--title {
      flex-basis: 100%;
    }

    & button {
      &:hover {
        background-color: #000;
      }
    }
  }

  &__title {
    @include title-text-1;
    color: $text-color;
  }

  &__content {
    display: grid;
    grid-template-rows: repeat(1, 100px);
    grid-template-columns: repeat(7, 1fr);
    align-items: center;
    justify-content: center;
    border-bottom: 1px solid $main-color-gold;
  }

  &__headers {
    @include title-text-5;
    text-transform: uppercase;
  }

  &__data {
    @include title-text-5;
    text-transform: capitalize;
    box-sizing: border-box;
    overflow: hidden;
    color: white;
    position: relative;

    & .InputNumber input {
      width: 80%;
    }

    &:first-child {
      height: 100%;
    }

    &:nth-child(2) {
      height: 100%;
    }

    &--cross {
      left: 50%;
      top: 50%;
      transform: translate(-50%, -50%);
      cursor: pointer;
      opacity: .5;
    }

    & img {
      height: 100%;
    }
  }

  &__footer {
    text-align: right;
    padding: 5px 30px;
    @include title-text-4;
    font-weight: bold;
    display: flex;
    justify-content: space-between;
    align-items: center;

    &--button {
      display: flex;

      & button {
        margin: auto;
      }
    }

    &--text {
      padding-right: 50px;
      color: white;
    }
  }
}

//////////////////////////////////////////////////////
.CartListHeader {
  color: $text-color;
  align-content: center;
  text-align: center;

  & h2 {
    @include title-text-1;
  }
}

.TableHeader {
  border-bottom: 1px solid $text-color;
  color: $text-color;

  h3 {
    width: 25%;
  }
}

.TableHeaders {
  display: flex;
  justify-content: space-between;
  padding-left: 20%;
  width: 100%;

  & h3 {
    @include title-text-5;
    text-transform: uppercase;
  }

}

.TableMain {
  display: flex;
  padding: 1rem 0;
  border-bottom: 1px solid $text-color;
  margin: 1rem 0;
}

.TableImageBlock {
  display: flex;
  align-content: center;
  width: 20%;

  button {
    margin-right: 1em;
    border: none;
  }
}

.TableProductImage {
  width: 100px;
}

.TableProductsBlock {
  @include title-text-5;
  width: 80%;
  display: flex;
  justify-content: space-between;
  align-items: center;

  p, input {
    width: 25%;
    color: white;
  }
}

.CartListButtonBlock {
  display: flex;
  justify-content: flex-end;
}

.OrderPrice {
  color: $text-color;
  display: flex;
  justify-content: space-between;
  margin: 1rem 0;

  & h3, & p {
    @include title-text-4;
  }

  p {
    color: white;
  }
}


.BottomCardBlock {
  text-align: center;
  display: flex;
}

.FinalProvisionsCard {
  font-family: $font-2;
  font-size: $size-text;
  padding: 1em;

  h3 {
    padding: 10px 0;
    width: 100%;
    text-align: center;
    border-bottom: 1px solid $text-color;
    color: $white-color;
    //font-family: $under-title;
    //font-size: $size-text2;
  }

  p {
    padding: 5px 0;
    color: $white-color;
  }

}

@media (max-width: 767px) {
  .cart {
    &__footer {
      flex-direction: column;
      padding: 20px;
    }

    &__content {
      grid-template-rows: repeat(1, 50px);
      grid-template-columns: repeat(7, 1fr);
    }

  }
}